### Method

# Soup Session set_tls_interaction

#### Declaration [src]

    void
    soup_session_set_tls_interaction (
      SoupSession* session,
      GTlsInteraction* tls_interaction
    )

#### Description [src]

Set a `GTlsInteraction` to be used by `session` on new connections.

If `tls_interaction` is `NULL` then client certificate validation will always fail.

See `SoupSession:tls-interaction` for more information.

Sets property | `Soup.Session:tls-interaction`

#### Parameters

`tls_interaction` | `GTlsInteraction`
| A `GTlsInteraction`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.